找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1891|回复: 4

[分享] 实体镜像,阵列,旋转通用类库

[复制链接]
发表于 2013-8-22 20:45:23 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
偶然在机器里翻出了的,时间久远 2007
  1. // (C) Copyright 2002-2005 by Autodesk, Inc.
  2. //
  3. // Permission to use, copy, modify, and distribute this software in
  4. // object code form for any purpose and without fee is hereby granted,
  5. // provided that the above copyright notice appears in all copies and
  6. // that both that copyright notice and the limited warranty and
  7. // restricted rights notice below appear in all supporting
  8. // documentation.
  9. //
  10. // AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
  11. // AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
  12. // MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
  13. // DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
  14. // UNINTERRUPTED OR ERROR FREE.
  15. //
  16. // Use, duplication, or disclosure by the U.S. Government is subject to
  17. // restrictions set forth in FAR 52.227-19 (Commercial Computer
  18. // Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
  19. // (Rights in Technical Data and Computer Software), as applicable.
  20. //

  21. //using System ;
  22. using Autodesk.AutoCAD.Runtime ;
  23. using Autodesk.AutoCAD.DatabaseServices;
  24. using Autodesk.AutoCAD.Geometry;
  25. using Autodesk.AutoCAD.EditorInput;
  26. using Autodesk.AutoCAD.ApplicationServices;
  27. [assembly: CommandClass(typeof(Caiqs.Cutility))]
  28. //蔡全胜 QQ 361865648 实体镜像,阵列,旋转通用类库
  29. namespace Caiqs
  30. {
  31.         /// <summary>
  32.         /// Summary description for CQSClass.
  33.         /// </summary>
  34.         public class Cutility
  35.         {
  36.                 static public Database  db;
  37.                 static public Editor ed;
  38.                 public Cutility()
  39.                 {
  40.                         //
  41.                         // TODO: Add constructor logic here
  42.                         //
  43.                 }
  44.                 [CommandMethod("Comm")]
  45.                 static public void comm()
  46.                 {
  47.                         return;
  48.                 }
  49.                
  50.                 //通过Entity对实体进行矩阵matrix3D的变换
  51.                 static public void Transform(Entity acadEntity,Matrix3d matrix3D)
  52.                 {
  53.                         try
  54.                         {
  55.                                 if (acadEntity.IsWriteEnabled==true)
  56.                                 {acadEntity.TransformBy(matrix3D);}
  57.                                 else
  58.                                 {
  59.                                         Transform(acadEntity.ObjectId ,matrix3D);
  60.                                 }
  61.                         }
  62.                         catch (Exception e)
  63.                         {
  64.                         throw(e);
  65.                         }
  66.                         return;
  67.                 }
  68.                 //通过Entity实体数组进行矩阵matrix3D的变换
  69.                 static public void Transform(Entity[] acadEntity,Matrix3d matrix3D)
  70.                 {
  71.                        
  72.                         int i;
  73.                         for(i=0;i<acadEntity.Length;i++)
  74.                         {
  75.                                 if (acadEntity.IsWriteEnabled==true)
  76.                                 {acadEntity.TransformBy(matrix3D);}
  77.                                 else
  78.                                 {Transform(acadEntity.ObjectId ,matrix3D);}
  79.                         }
  80.                         return;
  81.                 }
  82.                 //通过实体id对实体进行矩阵matrix3D的变换
  83.                 static public void Transform(ObjectId objectId,Matrix3d matrix3D)
  84.                 {
  85.                         Transaction  tm;
  86.                         db = HostApplicationServices.WorkingDatabase;
  87.                         tm = db.TransactionManager.StartTransaction();
  88.                         try
  89.                         {
  90.                                 Entity acadEntity = (Entity)tm.GetObject(objectId, OpenMode.ForWrite);
  91.                                 acadEntity.TransformBy(matrix3D);
  92.                                 tm.Commit();}
  93.                         finally
  94.                         {
  95.                                 tm.Dispose();
  96.                         }
  97.                         return;
  98.                 }
  99.                 //                //实体克窿
  100.                 static public Entity Clone(Entity acadEntity)
  101.                 {
  102.                         Transaction  tm;
  103.                         db = HostApplicationServices.WorkingDatabase;
  104.                         tm = db.TransactionManager.StartTransaction();
  105.                         Entity retuEnt;
  106.                         try
  107.                         {
  108.                                 BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.ForRead,true);
  109.                                 BlockTableRecord btr=(BlockTableRecord)tm.GetObject(db.CurrentSpaceId,OpenMode.ForWrite,true);
  110.                                 if (acadEntity.IsReadEnabled==true)
  111.                                 {retuEnt=(Entity)acadEntity.Clone();}
  112.                                 else
  113.                                 {
  114.                                         Entity Ent = (Entity)tm.GetObject(acadEntity.ObjectId, OpenMode.ForRead);
  115.                                         retuEnt=(Entity)Ent.Clone();
  116.                                 }
  117.                                 btr.AppendEntity(retuEnt);
  118.                                 tm.AddNewlyCreatedDBObject(retuEnt,true);
  119.                                 tm.Commit();}
  120.                         finally
  121.                         {
  122.                                 tm.Dispose();
  123.                         }
  124.                         return retuEnt;
  125.                 }
  126.                 //实体数组克隆
  127.                 static public Entity[] Clone(Entity[] acadEntity)
  128.                 {
  129.                         int i;
  130.                         Entity[] retuEnt=new Entity[acadEntity.Length];
  131.                         for(i=0;i<acadEntity.Length;i++)
  132.                         {
  133.                                 retuEnt=Clone(acadEntity);
  134.                         }
  135.                         return retuEnt;
  136.                 }

  137.                 //通过实体id对实体进行矩阵matrix3D的变换并复制实体
  138.                 static public Entity Ctransform(ObjectId objectId,Matrix3d matrix3D)
  139.                 {
  140.                         Transaction  tm;
  141.                         db = HostApplicationServices.WorkingDatabase;
  142.                         tm = db.TransactionManager.StartTransaction();
  143.                         Entity retuEnt;
  144.                         try
  145.                         {
  146.                                 BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.ForRead,true);
  147.                                 Entity acadEntity = (Entity)tm.GetObject(objectId, OpenMode.ForRead);
  148.                                 BlockTableRecord btr=(BlockTableRecord)tm.GetObject(db.CurrentSpaceId,OpenMode.ForWrite,true);
  149.                                 retuEnt=(Entity)acadEntity.Clone();
  150.                                 btr.AppendEntity(retuEnt);
  151.                                 tm.AddNewlyCreatedDBObject(retuEnt,true);
  152.                                 Transform(retuEnt.ObjectId,matrix3D);
  153.                                 tm.Commit();}
  154.                         finally
  155.                         {
  156.                                 tm.Dispose();
  157.                         }
  158.                         return retuEnt;
  159.                 }
  160.                 //通过实体id数组对实体进行矩阵matrix3D的变换并复制实体
  161.                 static public Entity[] Ctransform(ObjectId[] objectId,Matrix3d matrix3D)
  162.                 {
  163.                         //                        db = HostApplicationServices.WorkingDatabase;
  164.                         //                        tm = db.TransactionManager.StartTransaction();
  165.                         //                        BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.ForRead,true);
  166.                         //                        BlockTableRecord btr=(BlockTableRecord)tm.GetObject(db.CurrentSpaceId,OpenMode.ForWrite,true);
  167.                         //                        //Entity acadEntity = (Entity)tm.GetObject(objectId, OpenMode.ForRead);
  168.                         //                        int i;
  169.                         Entity[] retuEnt=new Entity[objectId.Length];
  170.                         //                        for(i=0;i<objectId.Length;i++)
  171.                         //                        {
  172.                         //                                Entity acadEntity = (Entity)tm.GetObject(objectId, OpenMode.ForRead );
  173.                         //                                retuEnt=(Entity)acadEntity.Clone();
  174.                         //                                btr.AppendEntity(retuEnt);
  175.                         //                                tm.AddNewlyCreatedDBObject(retuEnt,true);
  176.                         //                        }
  177.                         //                        tm.Commit();
  178.                         //                        tm.Dispose();
  179.                         retuEnt=Clone(IdarraytoEntity(objectId));
  180.                         Transform(retuEnt,matrix3D);

  181.                         return retuEnt;
  182.                 }
  183.                 //Id转成实体
  184.                 static public Entity IdtoEntity(ObjectId objectId)
  185.                 {
  186.                         Transaction  tm;
  187.                         db = HostApplicationServices.WorkingDatabase;
  188.                         tm = db.TransactionManager.StartTransaction();
  189.                         Entity acadEntity = (Entity)tm.GetObject(objectId, OpenMode.ForRead );
  190.                         tm.Commit();
  191.                         tm.Dispose();
  192.                         return acadEntity;
  193.                 }
  194.                 //Id数组转成实体数组
  195.                 static public Entity[] IdarraytoEntity(ObjectId[] objectId)
  196.                 {
  197.                         Transaction  tm;
  198.                         db = HostApplicationServices.WorkingDatabase;
  199.                         tm = db.TransactionManager.StartTransaction();
  200.                         Entity[] retuEnt=new Entity[objectId.Length];
  201.                         int i;
  202.                         for (i=0;i<objectId.Length;i++)
  203.                         {
  204.                                 retuEnt = (Entity)tm.GetObject(objectId, OpenMode.ForRead );
  205.                         }
  206.                         tm.Commit();
  207.                         tm.Dispose();
  208.                         return retuEnt;
  209.                 }
  210.                 //对id数组进行矩阵matrix3D的变换
  211.                 static public void Transform(ObjectId[] idArray,Matrix3d matrix3D)
  212.                 {
  213.                         Transaction  tm;
  214.                         db = HostApplicationServices.WorkingDatabase;
  215.                         tm = db.TransactionManager.StartTransaction();
  216.                         int i;
  217.                         for(i=0;i<idArray.Length;i++)
  218.                         {
  219.                                 Entity acadEntity = (Entity)tm.GetObject(idArray, OpenMode.ForWrite);
  220.                                 acadEntity.TransformBy(matrix3D);
  221.                         }
  222.                         tm.Commit();
  223.                         tm.Dispose();
  224.                         return;
  225.                 }
  226.                 //单个实体加入数据库
  227.                 static public void Apptodb(Entity acadEntity)
  228.                 {
  229.                         Transaction  tm;
  230.                         db = HostApplicationServices.WorkingDatabase;
  231.                         tm = db.TransactionManager.StartTransaction();
  232.                         ed=Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
  233.                         ed.WriteMessage(acadEntity.IsNewObject.ToString());
  234.                         try
  235.                         {
  236.                                 BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.ForRead,true);
  237.                                 BlockTableRecord btr=(BlockTableRecord)tm.GetObject(db.CurrentSpaceId,OpenMode.ForWrite,true);
  238.                                 btr.AppendEntity(acadEntity);
  239.                                 tm.AddNewlyCreatedDBObject(acadEntity,true);
  240.                                 tm.Commit();
  241.                         tm.Dispose();
  242.                         }
  243.                         catch (Exception e)
  244.                         {
  245.                                 throw(e);
  246.                         }
  247.                        
  248.                                
  249.                        
  250.                         return;
  251.                 }
  252.                 //实体数组加入到数据库
  253.                 static public void Apptodb(Entity[] acadEntity)
  254.                 {
  255.                         Transaction  tm;
  256.                         db = HostApplicationServices.WorkingDatabase;
  257.                         tm = db.TransactionManager.StartTransaction();
  258.                         BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.ForRead,true);
  259.                         BlockTableRecord btr=(BlockTableRecord)tm.GetObject(db.CurrentSpaceId,OpenMode.ForWrite,true);
  260.                         int i;
  261.                         for(i=0;i<acadEntity.Length;i++)
  262.                         {
  263.                                 btr.AppendEntity(acadEntity);
  264.                                 tm.AddNewlyCreatedDBObject(acadEntity,true);
  265.                         }
  266.                         tm.Commit();
  267.                         tm.Dispose();
  268.                         return;
  269.                 }
  270.                 [CommandMethod("Ccreat")]
  271.                 static public void Ccreat()
  272.                 {
  273.                         //db = HostApplicationServices.WorkingDatabase;
  274.              ed=Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
  275.                         try
  276.                         {
  277.                                 Line ln1=new Line(new Point3d(0,0,0),new Point3d(50,50,50));
  278.                                 Move(ln1,new Point3d(50,50,0),new Point3d(0,0,0));
  279.                                 ed.WriteMessage("\n移动1完成");
  280.                                 Mirror(ln1,new Point3d(50,50,0),new Point3d(0,0,0));
  281. ed.WriteMessage("\n镜像1完成");
  282.                                 Rotate(ln1,new Point3d(50,50,0),3.14159/2.0);
  283. ed.WriteMessage("\n旋转完成");
  284.                                 Apptodb(ln1);
  285. ed.WriteMessage("\n加入数据库完成");
  286.                                 Copymove(ln1,new Point3d(0,0,0),new Point3d(50,50,0));
  287. ed.WriteMessage("\n复制完成");
  288.                                 Mirror(ln1,new Point3d(50,50,0),new Point3d(0,0,0));
  289.                                 ed.WriteMessage("\n镜像2完成");}
  290.                         catch (Exception e)
  291.                         {
  292.                         throw(e);
  293.                         }

  294.                         return;
  295.                 }
  296.                 [CommandMethod("Cmove")]
  297.                 static public void Cmove()
  298.                 {
  299.                         ed=Application.DocumentManager.MdiActiveDocument.Editor;
  300.                         ed.WriteMessage("\n选择移动的实体: ");                       
  301.                         PromptSelectionResult res=ed.GetSelection();
  302.                         if (res.Status!= PromptStatus.OK) return;
  303.                         PromptPointResult res1=ed.GetPoint("\n起点:");
  304.                         if (res1.Status!= PromptStatus.OK) return;
  305.                         PromptPointResult res2=ed.GetPoint("\n终点:");
  306.                         if (res2.Status!= PromptStatus.OK) return;
  307.                         SelectionSet SS = res.Value;
  308.                         //Ctransform(SS.GetObjectIds,
  309.                         Move(SS,res1.Value,res2.Value);
  310.                                                 System.GC.Collect();
  311.                         return;

  312.                 }
  313.                 [CommandMethod("CRotate")]
  314.                 static public void Crotate()
  315.                 {
  316.                         ed=Application.DocumentManager.MdiActiveDocument.Editor;
  317.                         ed.WriteMessage("\n选择旋转的实体: ");                       
  318.                         PromptSelectionResult res=ed.GetSelection();
  319.                         if (res.Status!= PromptStatus.OK) return;
  320.                         PromptPointResult res1=ed.GetPoint("\n基点:");
  321.                         if (res1.Status!= PromptStatus.OK) return;
  322.                         PromptDoubleResult res2=ed.GetDouble("\n旋转角度(弧度): ");
  323.                         if (res2.Status!= PromptStatus.OK) return;
  324.                         SelectionSet SS = res.Value;
  325.                         Rotate(SS,res1.Value,res2.Value);
  326.                                                 System.GC.Collect();
  327.                         return;

  328.                 }
  329.                 [CommandMethod("Cmirror")]
  330.                 static public void Cmirror() // This method can have any name
  331.                 {
  332.                         ed=Application.DocumentManager.MdiActiveDocument.Editor;
  333.                         ed.WriteMessage("\n选择要镜像的实体: ");                       
  334.                         PromptSelectionResult res=ed.GetSelection();
  335.                         if (res.Status!= PromptStatus.OK) return;
  336.                         PromptPointResult res1=ed.GetPoint("\n镜像线第一点::");
  337.                         if (res1.Status!= PromptStatus.OK) return;
  338.                         PromptPointResult res2=ed.GetPoint("\n镜像线第二点::");
  339.                         if (res2.Status!= PromptStatus.OK) return;
  340.                         SelectionSet SS = res.Value;
  341.                         Mirror(SS,res1.Value,res2.Value);
  342.                                                 System.GC.Collect();
  343.                         return;
  344.                 }
  345.                 //移动单个实体  
  346.                 static public void Move(Entity acadEntity,Point3d pt1,Point3d pt2)
  347.                 {
  348.                         Vector3d vect=pt2.GetVectorTo(pt1);
  349.                         Matrix3d tf = Matrix3d.Displacement(vect);
  350.                         //Transform(acadEntity.ObjectId ,tf);
  351.                         Transform(acadEntity,tf);
  352.                         return;
  353.                 }
  354.                 //实体移动复制
  355.                 static public Entity Copymove(Entity acadEntity,Point3d pt1,Point3d pt2)
  356.                 {
  357.                         Vector3d vect=pt2.GetVectorTo(pt1);
  358.                         Matrix3d tf = Matrix3d.Displacement(vect);
  359.                         //                        if (acadEntity.IsWriteEnabled==true)
  360.                         //                        {acadEntity.TransformBy(tf);}
  361.                         //                        else
  362.                         //                        {
  363.                         //                                Transform(acadEntity.ObjectId ,tf);
  364.                         //                        }
  365.                         return (Ctransform(acadEntity.ObjectId,tf));
  366.                 }


  367.                 //通过ID移动单个实体
  368.                 static public void Move(ObjectId objectId,Point3d pt1,Point3d pt2)
  369.                 {
  370.                         Vector3d vect=pt2.GetVectorTo(pt1);
  371.                         Matrix3d tf = Matrix3d.Displacement(vect);
  372.                         Transform(objectId,tf);
  373.                         return;
  374.                 }
  375.                 //移动选择集  
  376.                 static public void Move(SelectionSet ss,Point3d pt1,Point3d pt2)
  377.                 {
  378.                         ObjectId[] idArray;
  379.                         idArray = ss.GetObjectIds();
  380.                         Vector3d vect=pt2.GetVectorTo(pt1);
  381.                         Matrix3d tf = Matrix3d.Displacement(vect);
  382.                         //Transform(idArray,tf);
  383.                         Ctransform(idArray,tf);
  384.                         return;
  385.                 }
  386.                 //通过实体iD数组移动实体
  387.                 static public void Move(ObjectId[] idArray,Point3d pt1,Point3d pt2)
  388.                 {
  389.                         Vector3d vect=pt2.GetVectorTo(pt1);
  390.                         Matrix3d tf = Matrix3d.Displacement(vect);
  391.                         //Transform(idArray,tf);
  392.                         Ctransform(idArray,tf);

  393.                         return;
  394.                 }
  395.                 //XY平面内旋转Entity实体
  396.                 static public void Rotate(Entity acadEntity,Point3d baspt,double Rangle)
  397.                 {
  398.                         Vector3d vect=new Vector3d(0,0,1);
  399.                         Matrix3d tf=Matrix3d.Rotation(Rangle,vect,baspt);
  400.                         Transform(acadEntity ,tf);
  401.                         return;
  402.                 }
  403.                 //XY平面内旋转实体Id
  404.                 static public void Rotate(ObjectId objectId,Point3d baspt,double Rangle)
  405.                 {
  406.                         Vector3d vect=new Vector3d(0,0,1);
  407.                         Matrix3d tf = Matrix3d.Rotation(Rangle,vect,baspt);
  408.                         Transform(objectId,tf);
  409.                         return;
  410.                 }
  411.                 //旋转选择集
  412.                 static public void Rotate(SelectionSet ss,Point3d baspt,double Rangle)
  413.                 {
  414.                         ObjectId[] idArray;
  415.                         idArray = ss.GetObjectIds();
  416.                         Vector3d vect=new Vector3d(0,0,1);
  417.                         Matrix3d tf = Matrix3d.Rotation(Rangle,vect,baspt);
  418.                         Transform(idArray,tf);
  419.                         return;
  420.                 }
  421.                 //旋转实体Id数组
  422.                 static public void Rotate(ObjectId[] idArray,Point3d baspt,double Rangle)
  423.                 {
  424.                         Vector3d vect=new Vector3d(0,0,1);
  425.                         Matrix3d tf = Matrix3d.Rotation(Rangle,vect,baspt);
  426.                         Transform(idArray,tf);
  427.                         return;
  428.                 }
  429.                 //镜像实体
  430.                 static public void Mirror(Entity acadEntity,Point3d p1,Point3d p2)
  431.                 {
  432.                         Plane Myplane=new Plane(p1,new Point3d(p2.X ,p2.Y ,-100),p2);
  433.                         Matrix3d tf=Matrix3d.Mirroring(Myplane);
  434.                         Transform(acadEntity,tf);
  435.                         return;
  436.                 }
  437.                 //通过Id镜像实体
  438.                 static public void Mirror(ObjectId objectId,Point3d p1,Point3d p2)
  439.                 {
  440.                         Plane Myplane=new Plane(p1,new Point3d(p2.X ,p2.Y ,-100),p2);
  441.                         Matrix3d tf=Matrix3d.Mirroring(Myplane);
  442.                         Transform(objectId,tf);
  443.                         return;
  444.                 }
  445.                 //镜像选择集
  446.                 static public void Mirror(SelectionSet ss,Point3d p1,Point3d p2)
  447.                 {
  448.                         ObjectId[] idArray;
  449.                         idArray = ss.GetObjectIds();
  450.                         Plane Myplane=new Plane(p1,new Point3d(p2.X ,p2.Y ,-100),p2);
  451.                         Matrix3d tf=Matrix3d.Mirroring(Myplane);
  452.                         Transform(idArray,tf);
  453.                         return;
  454.                 }
  455.                 //镜像实体Id数组
  456.                 static public void Mirror(ObjectId[] idArray,Point3d p1,Point3d p2)
  457.                 {
  458.                         Plane Myplane=new Plane(p1,new Point3d(p2.X ,p2.Y ,-100),p2);
  459.                         Matrix3d tf=Matrix3d.Mirroring(Myplane);
  460.                         Transform(idArray,tf);
  461.                         return;
  462.                 }
  463.                 //实体缩放
  464.                 static public void Scale(Entity acadEntity,Point3d basepoint,double scale)
  465.                 {
  466.                         Matrix3d tf=Matrix3d.Scaling(scale,basepoint);
  467.                         Transform(acadEntity,tf);
  468.                         return;
  469.                 }
  470.                 //实体Id缩放
  471.                 static public void Scale(ObjectId objectId,Point3d basepoint,double scale)
  472.                 {
  473.                         Matrix3d tf=Matrix3d.Scaling(scale,basepoint);
  474.                         Transform(objectId ,tf);
  475.                         return;
  476.                 }
  477.                 //选择集缩放
  478.                 static public void Scale(SelectionSet ss,Point3d basepoint,double scale)
  479.                 {
  480.                         ObjectId[] idArray;
  481.                         Matrix3d tf=Matrix3d.Scaling(scale,basepoint);
  482.                         idArray = ss.GetObjectIds();
  483.                         Transform(idArray ,tf);
  484.                         return;
  485.                 }
  486.                 //实体id数组缩放
  487.                 static public void Scale(ObjectId[] objectId,Point3d basepoint,double scale)
  488.                 {
  489.                         Matrix3d tf=Matrix3d.Scaling(scale,basepoint);
  490.                         Transform(objectId ,tf);
  491.                         return;
  492.                 }               
  493.         }
  494. }


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2014-4-21 16:30:05 | 显示全部楼层
呵呵,居然把我的压箱底的东西给找出来了,几年前写的

点评

压箱的有发展了没,晒一晒  详情 回复 发表于 2014-4-21 20:59
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 859个

财富等级: 财运亨通

发表于 2014-4-21 20:59:45 | 显示全部楼层
caiqs 发表于 2014-4-21 16:30
呵呵,居然把我的压箱底的东西给找出来了,几年前写的

压箱的有发展了没,晒一晒{:soso_e100:}
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2018-9-17 19:47:28 | 显示全部楼层
csharp 发表于 2014-4-21 20:59
压箱的有发展了没,晒一晒

主力已转VC好多年了
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 50个

财富等级: 招财进宝

发表于 2020-10-23 10:59:13 | 显示全部楼层
怎么使用啊,编译成dll,怎么编译啊,然后再cad里appload吗?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-25 17:04 , Processed in 0.249974 second(s), 36 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表